Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface NodeManagerMBean

public interface NodeManagerMBean
extends ConfigurationMBean

This bean is represents a NodeManager that is associated with a machine.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getCertificate()` The certificate file to use for secure communications with NodeManager.
`java.lang.String` | `getCertificatePassword()` The certificate password used for secure communications with NodeManager.
`java.lang.String` | `getCertificateType()` The certificate type used for secure communications with the NodeManager
`java.io.Reader` | `getErrorLog(ServerStartMBean serverStartBean)` Returns the error log of a perticular server.
`java.lang.String` | `getListenAddress()` The address on which NodeManager listens for connections.
`int` | `getListenPort()` Returns the listen port of the NodeManager
`java.io.Reader` | `getLogs()` Returns the logs of the Node Manager.
`java.io.Reader` | `getOutputLog(ServerStartMBean serverStartBean)` Returns the output log of a particular server.
`java.lang.String` | `getTrustedCertsFile()` The trusted certs file password to use for secure communication with NodeManager.
`void` | `setCertificate(java.lang.String certificate)`
`void` | `setCertificatePassword(java.lang.String certificatePassword)`
`void` | `setCertificateType(java.lang.String certificateType)`
`void` | `setDebugEnabled(boolean enable)` Set the DebugEnabled value
`void` | `setListenAddress(java.lang.String address)`
`void` | `setListenPort(int port)` The TCP port on which NodeManager listens.
`void` | `setSSLEnabled(boolean enable)` Set the SSLEnabled value
`void` | `setTrustedCertsFile(java.lang.String trustedCertsFile)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getListenAddress

    public java.lang.String getListenAddress()

  The address on which NodeManager listens for connections.

  Default Value: "localhost"
  Secure Value: "127.0.0.1"

### setListenAddress

    public void setListenAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

### getListenPort

    public int getListenPort()

  Returns the listen port of the NodeManager

  Default Value: 5555

### setListenPort

    public void setListenPort(int port)

  The TCP port on which NodeManager listens.

  Legal Minimum Value: 0
  Legal Maximum Value: 65534

### setSSLEnabled

    public void setSSLEnabled(boolean enable)

  Set the SSLEnabled value

### getCertificate

    public java.lang.String getCertificate()

  The certificate file to use for secure communications with NodeManager. The path is relative to the Administration Server's root directory.

  Default Value: "demo.crt"

### setCertificate

    public void setCertificate(java.lang.String certificate)
                        throws javax.management.InvalidAttributeValueException

### getCertificateType

    public java.lang.String getCertificateType()

  The certificate type used for secure communications with the NodeManager

  Default Value: "RSA"

### setCertificateType

    public void setCertificateType(java.lang.String certificateType)
                            throws javax.management.InvalidAttributeValueException

### getCertificatePassword

    public java.lang.String getCertificatePassword()

  The certificate password used for secure communications with NodeManager.

  Default Value: "password"

### setCertificatePassword

    public void setCertificatePassword(java.lang.String certificatePassword)
                                throws javax.management.InvalidAttributeValueException

### getTrustedCertsFile

    public java.lang.String getTrustedCertsFile()

  The trusted certs file password to use for secure communication with NodeManager. The path is relative to the Administration Server's root directory.

  Default Value: "trusted.crt"

### setTrustedCertsFile

    public void setTrustedCertsFile(java.lang.String trustedCertsFile)
                             throws javax.management.InvalidAttributeValueException

### getLogs

    public java.io.Reader getLogs()

  Returns the logs of the Node Manager.

### getOutputLog

    public java.io.Reader getOutputLog(ServerStartMBean serverStartBean)

  Returns the output log of a particular server.

### getErrorLog

    public java.io.Reader getErrorLog(ServerStartMBean serverStartBean)

  Returns the error log of a perticular server.

### setDebugEnabled

    public void setDebugEnabled(boolean enable)

  Set the DebugEnabled value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference